MonoMac 0.0.0.0 MonoMac.AddressBook.ABRecord System.IComparable System.IComparable<MonoMac.AddressBook.ABPerson> Information about a person.

Supported operations:

Creating Persons: .
Sorting Persons: , .
Getting Person Property Information: , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,
Managing Pictures: , , .
Getting Name Format And Sort Preferences: , .
monocatalog Choose a Contact Create a New Contact Find a Contact
- Constructor
  0.0.0.0
  Constructs and initializes a instance.
- Constructor
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSDate Gets or sets the 's birthday. A containing the person's birthday.
- Method
  0.0.0.0
  System.Int32 `` The to compare to this instance. Compares this instance with the specified and returns an integer that indicates whether this instance precedes, follows, or appears in the same position in the sort order as .

  A that indicates whether this instance precedes, follows, or appears in the same position in the sort order as .

  Value
  Condition
  Less than zero
  This instance precedes .
  Zero
  This instance has the same position in the sort order as .
  Greater than zero
  This instance follows .
- Method
  0.0.0.0
  System.Int32 `` `` The to compare to this instance. A which is used to specify whether ordering should be done by or . Compares this instance with the specified and returns an integer that indicates whether this instance precedes, follows, or appears in the same position in the sort order as (as controlled by ).

  A that indicates whether this instance precedes, follows, or appears in the same position in the sort order as .

  Value
  Condition
  Less than zero
  This instance precedes .
  Zero
  This instance has the same position in the sort order as .
  Greater than zero
  This instance follows .
- Property
  0.0.0.0
  MonoMac.AddressBook.ABPersonCompositeNameFormat Gets the person-name display format. A which controls the format used for the person's composite name.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  MonoMac.AddressBook.ABPerson[] `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSDate Gets or sets the record's creation date. A containing the record's creation date.
- Property
  0.0.0.0
  System.String Gets or sets the 's department. A containing the 's department.
- Property
  0.0.0.0
  System.String Gets or sets the 's first name. A containing the 's first name.
- Property
  0.0.0.0
  System.String Gets or sets 's first name phonetic pronounciation. A containing the 's first name phonetic pronounciation.
- Method
  0.0.0.0
  System.Obsolete("Use GetAllAddresses")
  MonoMac.AddressBook.ABMultiValue<MonoMac.Foundation.NSDictionary> Gets the 's addresses. A containing the 's addresses.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<MonoMac.AddressBook.PersonAddress> To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<MonoMac.Foundation.NSDate> Gets the 's dates. A containing the 's dates.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<System.String> Gets the 's email addresses. A containing the 's email addresses.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 1)
  MonoMac.Foundation.NSData `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use GetInstantMessageServices")
  MonoMac.AddressBook.ABMultiValue<MonoMac.Foundation.NSDictionary> Gets the 's instant message services. A containing the 's instant message services.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<MonoMac.AddressBook.InstantMessageService> To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  MonoMac.AddressBook.ABPerson[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<System.String> Gets the 's phone numbers. A containing the 's phone numbers.
- Method
  0.0.0.0
  System.Object `` A specifying which property to return. Gets the specified property. A containing the value of the specified property.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABPropertyType `` A specifying which property to query. Gets the type of the property . A value containing the type of the property .
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<System.String> Gets the 's related names. A containing the 's related names.
- Method
  0.0.0.0
  System.Obsolete("Use GetSocialProfiles")
  MonoMac.AddressBook.ABMultiValue<MonoMac.Foundation.NSDictionary> To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<MonoMac.AddressBook.SocialProfile> To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AddressBook.ABMultiValue<System.String> Gets the 's URLs. A containing the 's URLs.
- Method
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  MonoMac.Foundation.NSData `System.ParamArray` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Boolean Gets a value indicating whether the has a picture. if the has a picture; otherwise, .
- Property
  0.0.0.0
  MonoMac.Foundation.NSData Gets or sets the 's picture. A containing the picture data. The reason the picture couldn't be set.
- Property
  0.0.0.0
  System.String Gets or sets the 's job title. A containing the 's job title.
- Property
  0.0.0.0
  System.String Gets or sets the 's last name. A containing the 's last name.
- Property
  0.0.0.0
  System.String Gets or sets the 's last name phonetic pronounciation. A containing the 's last name phonetic pronounciation.
- Method
  0.0.0.0
  System.String `` A containing the property to get the localized name of. Gets the localized name of a . A containing the localized name of a .
- Property
  0.0.0.0
  System.String Gets or sets the 's middle name. A containing the 's middle name.
- Property
  0.0.0.0
  System.String Gets or sets the 's middle name phonetic pronounciation. A containing the 's middle name phonetic pronounciation.
- Property
  0.0.0.0
  MonoMac.Foundation.NSDate Gets or sets the 's modification date. A containing the 's modification date.
- Property
  0.0.0.0
  System.String Gets or sets the 's nickname. A containing the 's nickname.
- Property
  0.0.0.0
  System.String Gets or sets the 's note. A containing the 's note.
- Property
  0.0.0.0
  System.String Gets or sets the 's organization. A containing the 's organization.
- Property
  0.0.0.0
  MonoMac.AddressBook.ABPersonKind Gets or sets the 's . A containing the 's kind.

  The controls whether the instance is a person or an organization.

- Property
  0.0.0.0
  System.String Gets or sets the 's prefix. A containing the 's prefix.
- Method
  0.0.0.0
  System.Void Removes a 's picture. The reason the picture couldn't be removed.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` A containing the 's new addresses. Sets the 's new addresses.
- Method
  0.0.0.0
  System.Void `` A containing the 's new dates. Sets the 's new dates.
- Method
  0.0.0.0
  System.Void `` A containing the 's new email addresses Sets the 's new email addresses.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` A containing the 's new instant messaging services. Sets the 's new instant messaging services.
- Method
  0.0.0.0
  System.Void `` A containing the 's new phone numbers. Sets the 's new phone numbers.
- Method
  0.0.0.0
  System.Void `` A containing the 's new related names. Sets the 's new related names.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` A containing the 's new URLs. Sets the 's new URLs.
- Property
  0.0.0.0
  MonoMac.AddressBook.ABPersonSortBy Gets the user's sort ordering preference for lists of persons. A which is the user's sort ordering preference for lists of persons.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 0)
  MonoMac.AddressBook.ABRecord To be added. To be added. To be added.
- Property
  0.0.0.0
  System.String Gets or sets the 's suffix. A containing the 's suffix.
- Method
  0.0.0.0
  System.Int32 `` The to compare to this instance. Compares this instance with the specified and returns an integer that indicates whether this instance precedes, follows, or appears in the same position in the sort order as .

  A that indicates whether this instance precedes, follows, or appears in the same position in the sort order as .

  Value
  Condition
  Less than zero
  This instance precedes .
  Zero
  This instance has the same position in the sort order as .
  Greater than zero
  This instance follows .